RHEL 6 : MRG (RHSA-2012:1169)

This script is Copyright (C) 2014-2017 Tenable Network Security, Inc.


Synopsis :

The remote Red Hat host is missing one or more security updates.

Description :

Updated condor packages that fix one security issue are now available
for Red Hat Enterprise MRG 2.1 for Red Hat Enterprise Linux 6.

The Red Hat Security Response Team has rated this update as having
important security impact. A Common Vulnerability Scoring System
(CVSS) base score, which gives a detailed severity rating, is
available from the CVE link in the References section.

Condor is a specialized workload management system for
compute-intensive jobs. It provides a job queuing mechanism,
scheduling policy, priority scheme, and resource monitoring and
management.

Condor installations that rely solely upon host-based authentication
were vulnerable to an attacker who controls an IP, its reverse-DNS
entry and has knowledge of a target site's security configuration.
With this control and knowledge, the attacker could bypass the target
site's host-based authentication and be authorized to perform
privileged actions (i.e. actions requiring ALLOW_ADMINISTRATOR or
ALLOW_WRITE). Condor deployments using host-based authentication that
contain no hostnames (IPs or IP globs only) or use authentication
stronger than host-based are not vulnerable. (CVE-2012-3416)

Note: Condor will not run jobs as root; therefore, this flaw cannot
lead to a compromise of the root user account.

Red Hat would like to thank Ken Hahn and Dan Bradley for reporting
this issue.

All Red Hat Enterprise MRG 2.1 users are advised to upgrade to these
updated packages, which contain a backported patch to correct this
issue. Condor must be restarted for the update to take effect.

See also :

https://www.redhat.com/security/data/cve/CVE-2012-3416.html
http://rhn.redhat.com/errata/RHSA-2012-1169.html

Solution :

Update the affected packages.

Risk factor :

Critical / CVSS Base Score : 10.0
(CVSS2#AV:N/AC:L/Au:N/C:C/I:C/A:C)

Family: Red Hat Local Security Checks

Nessus Plugin ID: 76647 ()

Bugtraq ID:

CVE ID: CVE-2012-3416

Ready to Amp Up Your Nessus Experience?

Get Nessus Professional to scan unlimited IPs, run compliance checks & more

Buy Nessus Professional Now